add php5-imagick as an alternative to php-gd

Bug #1257621 reported by albertoj.diaz on 2013-12-04
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
wordpress (Ubuntu)
Low
Unassigned

Bug Description

Since wp3.5, wordpress can use ImageMagick (via php-imagick) to manipulate pictures, which can result in a boost in speed/quality. No configuration is needed; wordpress uses imagemagick if it's installed, and defaults to GD if it isn't.

I think this can be done as an alternative to the php-gd dependency. Another possibility is adding a php5-imagick recommends or suggests.

Rolf Leggewie (r0lf) wrote :

Since Ubuntu does not currently have a delta for wordpress against Debian it would be advantageous to ask the Debian maintainer to introduce that change in Debian. I'l CC him to this ticket for you.

Changed in wordpress (Ubuntu):
importance: Undecided → Low
status: New → Triaged

On Thu, Apr 10, 2014 at 12:59:40PM -0000, Launchpad Bug Tracker wrote:
> I think this can be done as an alternative to the php-gd dependency.
> Another possibility is adding a php5-imagick recommends or suggests.
So basically you are saying change this:
  Depends: ${misc:Depends}, apache2 | httpd, mysql-client,
           libapache2-mod-php5 | php5, php5-mysql, php5-gd
to this:
  Depends: ${misc:Depends}, apache2 | httpd, mysql-client,
           libapache2-mod-php5 | php5, php5-mysql,
    php5-imagick | php5-gd

??
That's pretty simple.

--
Craig Small (@smallsees) http://enc.com.au/ csmall at : enc.com.au
Debian GNU/Linux http://www.debian.org/ csmall at : debian.org
GPG fingerprint: 5D2F B320 B825 D939 04D2 0519 3938 F96B DF50 FEA5

Rolf Leggewie (r0lf) wrote :

Yes, I believe that is the suggestion.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers